_Efl_Ui_Flip_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | obj
Evas_Object * | clip
Evas_Object * | event [4]
struct { |
Evas_Object * content |
Evas_Object * clip |
} | front
struct { |
Evas_Object * content |
Evas_Object * clip |
} | back
Eina_List * | content_list
Ecore_Animator * | animator
double | start
double | len
Ecore_Job * | job
Evas_Coord | down_x
Evas_Coord | down_y
Evas_Coord | x
Evas_Coord | y
Evas_Coord | ox
Evas_Coord | oy
Evas_Coord | w
Evas_Coord | h
Efl_Ui_Flip_Interaction | intmode
Elm_Flip_Mode | mode
int | dir
double | dir_hitsize [4]
Eina_Bool | dir_enabled [4]
int | slices_w
int | slices_h
Slice ** | slices
Slice ** | slices2
Eina_Bool | state: 1
Eina_Bool | next_state: 1
Eina_Bool | mouse_down: 1
Eina_Bool | finish: 1
Eina_Bool | started: 1
Eina_Bool | backflip: 1
Eina_Bool | pageflip: 1
Eina_Bool | manual: 1